org.apache.ignite.internal.processors.cache

## Class StoredCacheData

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.StoredCacheData

All Implemented Interfaces:
  Serializable

    public class StoredCacheData
    extends Object
    implements Serializable

Cache data to write to and read from `IgnitePageStoreManager`. In a nutshell, contains (most importantly) `CacheConfiguration` and additional information about cache which is not a part of configuration. This class is `Serializable` and is intended to be read-written with `JdkMarshaller` in order to be serialization wise agnostic to further additions or removals of fields.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StoredCacheData(CacheConfiguration<?,?> ccfg)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheConfiguration<?,?>` `config()`
`void` `config(CacheConfiguration<?,?> ccfg)`
`Collection<QueryEntity>` `queryEntities()`
`void` `queryEntities(Collection<QueryEntity> qryEntities)`
`boolean` `sql()`
`void` `sql(boolean sql)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StoredCacheData

    public StoredCacheData(CacheConfiguration<?,?> ccfg)

Constructor.

Parameters:
  `ccfg` - Cache configuration.

### Method Detail

#### config

    public void config(CacheConfiguration<?,?> ccfg)

Parameters:
  `ccfg` - Cache configuration.

#### config

    public CacheConfiguration<?,?> config()

Returns:
  Cache configuration.

#### queryEntities

    public Collection<QueryEntity> queryEntities()

Returns:
  Query entities.

#### queryEntities

    public void queryEntities(Collection<QueryEntity> qryEntities)

Parameters:
  `qryEntities` - Query entities.

#### sql

    public boolean sql()

Returns:
  SQL flag - `true` if cache was created with `CREATE TABLE`.

#### sql

    public void sql(boolean sql)

Parameters:
  `sql` - SQL flag - `true` if cache was created with `CREATE TABLE`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018